/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.log.osgi.internal;


import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceRegistration;
import org.osgi.service.log.LogService;

/**
 * Activator for register an implementation of the OSGi LogService.
 * @author Francois Fornaciari
 */
public class Activator implements BundleActivator {
    private ServiceRegistration sr;
    
    /**
     * Register the OSGi LogService.
     * @param bc The  bundle context.
     */
    public void start(final BundleContext bc) {
        this.sr = bc.registerService(LogService.class.getName(), new LoggerService(), null);
    }

    /**
     * UNregister the OSGi LogService.
     * @param bc The  bundle context.
     */
    public void stop(final BundleContext bc) {
        this.sr.unregister();
    }

}
